Notification Emails

Get Company Notification Email Address

Get one notification email address and its settings.

GET
/api/v1/companies/{companyId}/notification-email-addresses/{notificationEmailAddressId}

Get one notification email address and its settings.

Authorization

AuthorizationBasic <token>

Basic API key authentication. Create a new API key and secret in the Recommand dashboard.

In: header

Path Parameters

companyId*string

The ID of the company to get a notification email address for

notificationEmailAddressId*string

The ID of the notification email address to retrieve

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/companies/string/notification-email-addresses/string"
{  "success": true,  "notificationEmailAddress": {    "id": "cnea_01JQZ8X0M4T7RB6K9V2NDHW3PA",    "companyId": "c_01JQZ8X0M4T7RB6K9V2NDHW3PA",    "email": "billing@example.com",    "notifyIncoming": true,    "notifyOutgoing": false,    "includeAutoGeneratedPdfIncoming": true,    "includeAutoGeneratedPdfOutgoing": false,    "includeDocumentJsonIncoming": false,    "includeDocumentJsonOutgoing": false,    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}